# TdApi.InlineQueryResultLocation (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: InlineQueryResultLocation

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InlineQueryResultLocation

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InlineQueryResult
it.tdlight.jni.TdApi.InlineQueryResultLocation

Enclosing class:
  TdApi

public static final class TdApi.InlineQueryResultLocation extends TdApi.InlineQueryResult
Represents a point on the map.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`id`
Unique identifier of the query result.
`TdApi.Location`
`location`
Location result.
`TdApi.Thumbnail`
`thumbnail`
Result thumbnail in JPEG format; may be null.
`String`
`title`
Title of the result.

## Constructor Summary

Constructors
Constructor
Description
`InlineQueryResultLocation()`
Represents a point on the map.
`InlineQueryResultLocation(DataInput input)`
Represents a point on the map.
`InlineQueryResultLocation(String id, TdApi.Location location, String title, TdApi.Thumbnail thumbnail)`
Represents a point on the map.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public String id
Unique identifier of the query result.

### location

public TdApi.Location location
Location result.

### title

public String title
Title of the result.

### thumbnail

public TdApi.Thumbnail thumbnail
Result thumbnail in JPEG format; may be null.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### InlineQueryResultLocation

public InlineQueryResultLocation()
Represents a point on the map.

### InlineQueryResultLocation

public InlineQueryResultLocation(String id, TdApi.Location location, String title, TdApi.Thumbnail thumbnail)
Represents a point on the map.

Parameters:
  `id` - String Unique identifier of the query result.
  `location` - Location Location result.
  `title` - String Title of the result.
  `thumbnail` - Thumbnail Result thumbnail in JPEG format; may be null.

### InlineQueryResultLocation

public InlineQueryResultLocation(DataInput input) throws IOException
Represents a point on the map.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`